package ru.yandex.webmaster.viewer.http.servantlet.xml.limit;

import ru.yandex.webmaster.common.http.ActionRequest;
import ru.yandex.webmaster.common.http.RequestQueryProperty;
import ru.yandex.webmaster.common.http.request.HostIdAware;
import ru.yandex.webmaster.common.http.request.UserIdAware;

/**
 * @author aherman
 */
public class DelegateHostLimitsRequest implements ActionRequest, UserIdAware, HostIdAware {
    private long hostId;
    private long userId;
    private long delegateToUserId;

    public long getHostId() {
        return hostId;
    }

    @Override
    public void setHostId(long hostId) {
        this.hostId = hostId;
    }

    @Override
    public void setUserId(long userId) {
        this.userId = userId;
    }

    @Override
    public long getUserId() {
        return userId;
    }

    public long getDelegateToUserId() {
        return delegateToUserId;
    }

    @RequestQueryProperty(required = true)
    public void setDelegateToUserId(long delegateToUserId) {
        this.delegateToUserId = delegateToUserId;
    }
}
